import * as $dara from '@darabonba/typescript';
export declare class GetClusterCheckSummaryResponseBodyData extends $dara.Model {
    /**
     * @remarks
     * Total number of items that failed the check.
     *
     * @example
     * 6
     */
    notPassCount?: number;
    /**
     * @remarks
     * Number of high-risk inspection items that have not passed.
     *
     * @example
     * 1
     */
    notPassHighCount?: number;
    /**
     * @remarks
     * Number of low-risk inspection items that have not passed.
     *
     * @example
     * 3
     */
    notPassLowCount?: number;
    /**
     * @remarks
     * Number of medium-risk failed inspection items.
     *
     * @example
     * 2
     */
    notPassMediumCount?: number;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class GetClusterCheckSummaryResponseBody extends $dara.Model {
    /**
     * @remarks
     * Return data.
     */
    data?: GetClusterCheckSummaryResponseBodyData;
    /**
     * @remarks
     * Request ID.
     *
     * @example
     * 0B48AB3C-84FC-424D-A01D-B9270EF46038
     */
    requestId?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
